kdecore Library: KNetwork::KResolverEntry Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KResolverEntry Class Reference

One resolution entry. More...

`#include <kresolver.h>`

List of all members.

## Public Member Functions
| KResolverEntry ()
| KResolverEntry (const KSocketAddress &addr, int socktype, int protocol, const QString &canonName=QString::null, const QCString &encodedName=QCString())
| KResolverEntry (const struct sockaddr *sa, Q_UINT16 salen, int socktype, int protocol, const QString &canonName=QString::null, const QCString &encodedName=QCString())
| KResolverEntry (const KResolverEntry &other)
| ~KResolverEntry ()
KSocketAddress | address () const
Q_UINT16 | length () const
int | family () const
QString | canonicalName () const
QCString | encodedName () const
int | socketType () const
int | protocol () const
KResolverEntry & | operator= (const KResolverEntry &other)

## Detailed Description

One resolution entry.

This class is one element in the resolution results list. It contains the socket address for connecting, as well as a bit more of information: the socket type, address family and protocol numbers.

This class contains all the information required for creating, binding and connecting a socket.

KResolverEntry objects implicitly share data, so copying them is quite efficient.

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 66 of file kresolver.h.

## Constructor & Destructor Documentation

KResolverEntry::KResolverEntry | ( |  | ) |

| Default constructor. Definition at line 88 of file kresolver.cpp.

KResolverEntry::KResolverEntry | ( | const KSocketAddress & | addr,
|  | int | socktype,
|  | int | protocol,
|  | const QString & | canonName = `QString::null`,
|  | const QCString & | encodedName = `QCString()`
| ) |

  | Constructs a new KResolverEntry from a KSocketAddress and other data. The KSocketAddress `addr` parameter will be deep-copied. Parameters:
  | addr | the address that was resolved
  | socktype | the socket type of the resolved address
  | protocol | the protocol of the resolved address
  | canonName | the canonical name of the resolved hostname
  | encodedName | the ASCII-compatible encoding of the hostname
Definition at line 94 of file kresolver.cpp. References encodedName().

KResolverEntry::KResolverEntry | ( | const struct sockaddr * | sa,
|  | Q_UINT16 | salen,
|  | int | socktype,
|  | int | protocol,
|  | const QString & | canonName = `QString::null`,
|  | const QCString & | encodedName = `QCString()`
| ) |

  | Constructs a new KResolverEntry from raw forms of socket addresses and other data. This constructor instead creates an internal KSocketAddress object. Parameters:
  | sa | the sockaddr structure containing the raw address
  | salen | the length of the sockaddr structure
  | socktype | the socket type of the resolved address
  | protocol | the protocol of the resolved address
  | canonName | the canonical name of the resolved hostname
  | encodedName | the ASCII-compatible encoding of the hostname
Definition at line 106 of file kresolver.cpp. References encodedName().

KResolverEntry::KResolverEntry | ( | const KResolverEntry & | other | ) |

| Copy constructor. This constructor performs a shallow-copy of the other object. Definition at line 119 of file kresolver.cpp.

KResolverEntry::~KResolverEntry | ( |  | ) |

| Destructor. The destructor frees associated resources with this object. It does not destroy shared data. Definition at line 126 of file kresolver.cpp.

## Member Function Documentation

KSocketAddress KResolverEntry::address | ( |  | ) | const

| Retrieves the socket address associated with this entry. Definition at line 136 of file kresolver.cpp.

Q_UINT16 KResolverEntry::length | ( |  | ) | const

| Retrieves the length of the socket address structure. Definition at line 142 of file kresolver.cpp. References QCString::length().

int KResolverEntry::family | ( |  | ) | const

| Retrieves the family associated with this socket address. Definition at line 148 of file kresolver.cpp.

QString KResolverEntry::canonicalName | ( |  | ) | const

| Retrieves the canonical name associated with this entry, if there is any. If the canonical name was not found, this function returns QString::null. Definition at line 154 of file kresolver.cpp.

QCString KResolverEntry::encodedName | ( |  | ) | const

| Retrieves the encoded domain name associated with this entry, if there is any. If this domain has been resolved through DNS, this will be the the ACE-encoded hostname. Returns a null QCString if such information is not available. Please note that this information is NOT to be presented to the user, unless requested. Definition at line 160 of file kresolver.cpp. Referenced by KResolverEntry().

int KResolverEntry::socketType | ( |  | ) | const

| Retrieves the socket type associated with this entry. Definition at line 166 of file kresolver.cpp.

int KResolverEntry::protocol | ( |  | ) | const

| Retrieves the protocol associated with this entry. Definition at line 172 of file kresolver.cpp.

KResolverEntry & KResolverEntry::operator= | ( | const KResolverEntry & | other | ) |

| Assignment operator. This function copies the contents of the other object into this one. Data will be shared between the two of them. Definition at line 178 of file kresolver.cpp.

The documentation for this class was generated from the following files:

- kresolver.h
- kresolver.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003